Skip to main content
PATCH
Update Product

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

slug
string
required

Body

application/json
name
string
required
Required string length: 1 - 150
tagline
string
required
Required string length: 1 - 100
description
string
required
Required string length: 1 - 1000
website_url
string<uri>
required
Required string length: 1 - 2083
category_ids
integer[]
required
Required array length: 1 - 3 elements
logo_url
string | null
pricing
enum<string>
default:Free
Available options:
Free,
Freemium,
Paid
tags
string[]
platforms
string[]
special_tags
string[]
twitter_username
string | null
linkedin_username
string | null
instagram_username
string | null
creator_usernames
string[]
badge_page_url
string<uri> | null
Required string length: 1 - 2083
launch_plan
enum<string>
default:free
Available options:
free,
basic,
pro,
pro_plus

Response

Successful Response

id
integer
required
name
string
required
slug
string
required
tagline
string
required
description
string
required
website_url
string
required
logo_url
string | null
required
pricing
string
required
status
string
required
vote_count
integer
required
launch_date
string<date-time> | null
required
category_id
integer
required
founder_id
integer
required
tags
string[]
platforms
string[]
special_tags
string[]
twitter_url
string | null
linkedin_url
string | null
instagram_url
string | null
badge_page_url
string | null
badge_verified
boolean
default:false
launch_plan
string
default:free
category
CategoryBrief · object | null
categories
CategoryBrief · object[]
founder
FounderBrief · object | null